<div class="row justify-content-center">
    <div class="col-8">
        <div *ngIf="sale">
            <h2><span jhiTranslate="bikeBackendApp.sale.detail.title">Sale</span> {{ sale.id }}</h2>

            <hr>

            <jhi-alert-error></jhi-alert-error>

            <dl class="row-md jh-entity-details">
                <dt><span jhiTranslate="bikeBackendApp.sale.dateSale">Date Sale</span></dt>
                <dd>
                    <span>{{ sale.dateSale }}</span>
                </dd>
                <dt><span jhiTranslate="bikeBackendApp.sale.bike">Bike</span></dt>
                <dd>
                    <div *ngIf="sale.bikeId">
                        <a [routerLink]="['/bike', sale.bikeId, 'view']">{{ sale.bikeModel }}</a>
                    </div>
                </dd>
                <dt><span jhiTranslate="bikeBackendApp.sale.client">Client</span></dt>
                <dd>
                    {{ sale.clientFirstName }}
                </dd>
            </dl>

            <button type="submit"
                    (click)="previousState()"
                    class="btn btn-info">
                <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span jhiTranslate="entity.action.back">Back</span>
            </button>

            <button type="button"
                    [routerLink]="['/sale', sale.id, 'edit']"
                    class="btn btn-primary">
                <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span jhiTranslate="entity.action.edit">Edit</span>
            </button>
        </div>
    </div>
</div>
